org.h2.command.ddl

## Class AlterDomainExpressions

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.AlterDomain
        - - org.h2.command.ddl.AlterDomainExpressions

    public class AlterDomainExpressions
    extends AlterDomain

This class represents the statements ALTER DOMAIN SET DEFAULT ALTER DOMAIN DROP DEFAULT ALTER DOMAIN SET ON UPDATE ALTER DOMAIN DROP ON UPDATE

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

### Constructor Summary

Constructors
Constructor and Description
`AlterDomainExpressions(SessionLocal session, Schema schema, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setExpression(Expression expression)`
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.AlterDomain

`forAllDependencies, setDomainName, setIfDomainExists`

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlterDomainExpressions

    public AlterDomainExpressions(SessionLocal session,
                                  Schema schema,
                                  int type)

### Method Detail

#### setExpression

    public void setExpression(Expression expression)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### update

    public final long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count